Déclencher un contrôle autorisé
POST
/relation-tiers/v1/reconciliation-runs
const url = 'https://example.com/relation-tiers/v1/reconciliation-runs';const options = { method: 'POST', headers: { 'Idempotency-Key': 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"level":"example","scope":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/relation-tiers/v1/reconciliation-runs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: example' \ --data '{ "level": "example", "scope": {} }'Autorisations
Section intitulée « Autorisations »Paramètres
Section intitulée « Paramètres »Paramètres (header)
Section intitulée « Paramètres (header) »X-Tenant-Id
string
Facultatif — le tenant fait foi dans le jeton ; s’il est fourni, il doit être identique.
X-Correlation-Id
string
Idempotency-Key
required
string
Corps de la requêterequired
Section intitulée « Corps de la requêterequired »Media typeapplication/json
object
level
required
TRANSPORT, POPULATION, IDENTITE, VERSION, CONTENU ou SEMANTIQUE.
string
scope
object
Examplegenerated
{ "level": "example", "scope": {}}Réponses
Section intitulée « Réponses »Le contrôle est accepté et s’exécutera.
Media typeapplication/json
object
id
required
string
aggregateVersion
integer
status
required
string
Examplegenerated
{ "id": "example", "aggregateVersion": 1, "status": "example"}Aucune identité présentée (401).
L’identité présentée n’a pas la famille d’accès relation-tiers:administration (403).
Donnée comprise mais non admissible — règle identifiée.
Media typeapplication/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
correlationId
required
string
retryable
boolean
violations
Array<object>
object
field
string
reason
string
ruleId
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "correlationId": "example", "retryable": true, "violations": [ { "field": "example", "reason": "example", "ruleId": "example" } ]}